<?php
// エラー出力
    require_once('../../config.php');
    require_once('fs_index.php');
    require_once($CFG->libdir.'/fs_moodle/fs_status/fs_cfg_strings.php');
    echo '<p><strong><font size=5>- fs_moodle -</font></strong><hr></p>';
    echo '<p>fs_moodleの設定にエラーがあります．</p>';
    if (isset($_GET['novariable'])) {
        $cfgname = $_GET['novariable'];
        echo '<p><B>$fsCFG->'.$cfgname.'が設定されていません．</B></p>';
        echo '<p>fs_moodleのバージョンアップで変数の数が増えているのかも知れません．</p>';
    } else if (isset($_GET['notvalid'])) {
        $cfgname = $_GET['notvalid'];
        echo '<p><B>$fsCFG->'.$cfgname.'の値が不適切です．</B></p>';
    } else {
        $cfgname = '';
        echo '<p><B>不明なエラーです．</B></p>';
    }
    if (!empty($cfgname)) {
        echo '<p>　$fsCFG->'.$cfgname.'のデフォルト値は';
        $defval = get_fs_cfg_default($cfgname);
        if (!$defval) {
            if ($defval === false)  echo 'false';
              else                  echo '(空)';
        } else echo $defval;
        echo 'です．</p>';
    }
    echo '<hr>';
    echo '<p>　一応，未設定あるいは値が不適切な変数に関してはデフォルト値を自動的に設定してありますのでサイトの利用は可能ですが，速やかに設定を正しく行うことを薦めます．</p>';
    echo '<p>　設定の詳細な説明を読むために[サイト管理]-[サーバ]-[fs_moodleの設定表示]を参照したい場合は以下の”一時的にMoodleに戻る”をクリックしてMoodleに戻って下さい．<br/>';
    echo '<p>　fs_moodle4より，[fs_moodleの設定表示]でfsconfig.phpの設定を管理者はWeb画面上で修正および更新可能になりました．';
    echo '追加された設定値をとりあえずデフォルト値で用いるには，いずれかの設定画面を開いて画面上の[fsconfig編集の開始]をクリックして編集モードに切り替え，[上書き]ボタンをクリックして下さい．</p>';
    echo '　いま，再設定したfsconfig.phpが正しいかどうかをチェックするには以下の”再チェック”をクリックして下さい．';
    echo 'もし一時的にMoodleに戻った後にfsconfig.phpの設定のチェックを行うにはフロントページ（[Home]）にアクセスするか，再ログインして下さい．';
    echo 'なお，このエラー画面はサイト管理者の権限でフロントページにアクセスした時にのみ表示されます．<hr></p>';
    echo "<p><a href=$CFG->wwwroot/index.php>[再チェック]</a></p>";
    echo "<p><a href=$CFG->wwwroot/index.php?nocheck=1>[一時的にMoodleに戻る]</a></p>";
    echo "<p><a href=$CFG->wwwroot/lib/fs_moodle/fs_status/index.php>[一時的にMoodleに戻り，fs_moodleの設定表示へジャンプする]</a></p>";
    echo "<p>　あるいは，未設定／不適切な変数は初期設定値で構わない（多くの場合，問題ありません）ならば以下の上書きボタンを押してfsconfig.phpを上書きしてしまっても良いでしょう．ポップアップするウィンドを閉じた後に，［再チェック］のリンクをクリックすればMoodleに戻ります．<br />";
    echo '<form action="'.$CFG->wwwroot.'/lib/fs_moodle/fs_status/fsconfig_output.php" method="post" target="_blank">';
    echo '<input type="hidden" name="action" value="overwrite" />';
    echo '<input type="submit" value="上書き（注意）" title="変更された設定値でfsconfig.phpを強制的に上書きします．バックアップを忘れずに！"/>';
    echo '</form>';
    echo '</p>';

?>
